Skip to main content
PATCH
Update maintenance window

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

maintenanceWindow
string<uuid>
required

The maintenance window ID

Body

application/json
label
string
required
Maximum string length: 100
type
enum<string>
required
Available options:
indefinite,
one_time,
recurring
providers
enum<string>[]
required
Minimum array length: 1
Available options:
all,
ookla,
librespeed,
netflix,
cloudflare
is_active
boolean
starts_at
string<date-time> | null

One-time fields — required only when type = one_time

ends_at
string<date-time> | null
cron_expression
string | null

Recurring fields — required only when type = recurring

duration_minutes
integer | null
Required range: 1 <= x <= 1440
notes
string | null
Maximum string length: 500

Response

MaintenanceWindowResource

data
MaintenanceWindowResource · object
required
success
boolean
required
code
integer
required
message
string
required
Allowed value: "Maintenance window updated successfully."